%define ver_major 0.7
%define ver_minor 1
%def_without quicktime

Name: kino
Version: %ver_major.%ver_minor
Release: alt0.5

Summary: Non-linear DV editor
Group: Video
License: GPL
Url: http://kino.schirmacher.de

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/filemanager/17/%name-%version.tar.gz
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

%define libdv_ver 0.102
%define libraw1394_ver 0.10.0
%define libavc1394_ver 0.4.1

PreReq: hotplug

Requires: libdv >= %libdv_ver
Requires: libraw1394 >= %libraw1394_ver
Requires: libavc1394 >= %libavc1394_ver

BuildPreReq: libdv-devel >= %libdv_ver
BuildPreReq: libraw1394-devel >= %libraw1394_ver
BuildPreReq: libavc1394-devel >= %libavc1394_ver

%if_with quicktime
BuildPreReq: libquicktime-devel
%endif

# Automatically added by buildreq on Mon Jun 07 2004
BuildRequires: ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libavc1394-devel libbonobo2-devel libbonoboui-devel libdv-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libraw1394-devel libsamplerate-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
Kino is a non-linear DV editor for GNU/Linux. It features excellent
integration with IEEE 1394 for capture, VTR control, and recording back
to the camera. It captures video to disk in AVI format in both type-1 DV
and type-2 DV (separate audio stream) encodings.

You can load multiple video clips into a playlist, cut and paste
portions of video/audio, and save it to a playlist. Most edit and
navigation commands are mapped to equivalent vi key commands. Also, Kino
can load playlists and  save the composite playlist as a new DV AVI
file. Finally, Kino can save a single frame of video (a still) in
numerous file formats (based upon file extension).

Currently, Kino does not support other video file formats or encodings.
It does not support multiple layers or tracks of video and audio. It
does not do image processing, titling, transitions, or effects. We plan
to implement most of these features, but first we chose to focus on the
basics of IEEE 1394, video, audio, and file input and output. We place a
lot of emphasis on quality, stability, performance, and workflow.

For more information, please read the NEWS file, which contains
functional changes and important notices for each new version. The
ChangeLog contains a more detailed, technical account of the changes in
each version. Valuable information is contained in these files unless
you can read C/C++ source  code. Also, the discussion forums on the user
website above are very helpful.

%package devel
Group:	Development/C++
Summary: Header files for kino plugin development
Requires: %name = %version-%release

%description devel
This package contains the headers files needed to build extensions for kino.

%define hotplug_dir %_sysconfdir/hotplug
%define hotplug_usb_dir %hotplug_dir/usb
%define hotplug_usb_usermap %hotplug_dir/usb.usermap
%define hotplug_lib_dir %_libdir/hotplug

%prep
%setup -q

%build
export LDFLAGS=-export-dynamic
%configure \
%if_with quicktime
	--with-quicktime \
%endif
	--disable-rpath \
	--with-hotplug-script-dir=%hotplug_usb_dir \
	--with-hotplug-usermap-dir=%hotplug_lib_dir/kino \

%make_build

%install
%make_install DESTDIR=%buildroot install

# menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Multimedia/Video" title="Kino 2" \
longtitle="Non-linear DV editor" \
command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%__rm -f %buildroot/%_datadir/pixmaps/kino/Makefile*
%__mkdir_p %buildroot%_sysconfdir/kino-scripts
%__mkdir_p %buildroot%_libdir/%name-gtk2

%find_lang --with-gnome %name

%post
%update_menus
[ -x %_sbindir/update-usb.usermap ] && %_sbindir/update-usb.usermap ||:

%postun
%clean_menus
if [ "$1" = 0 ]; then
    [ -x %_sbindir/update-usb.usermap ] && %_sbindir/update-usb.usermap ||:
fi

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_menudir/%name
%_man1dir/*
%dir %hotplug_lib_dir/%name
%hotplug_lib_dir/%name/usb.usermap
%config %hotplug_usb_dir/*
%dir %_sysconfdir/kino-scripts
%dir %_libdir/%name-gtk2
%doc AUTHORS BUGS ChangeLog NEWS README* TODO

%files devel
%_includedir/*

%changelog
* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt0.5
- 0.7.1

* Sun Dec 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt0.5
- go to GNOME 2.

* Mon Dec 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.5-alt0.4
- 0.6.5

* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt0.4
- new version. 

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.4
- fixed menu entry and description.

* Thu Nov 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.3
- First build for Sisyphus. 
